@import '../../styles/variables';
@import '../../styles/mixins';

.cui-menu-item {
  display: flex;
  width: 100%;
  padding: $cui-menu-item-padding;
  color: $cui-menu-item-text-color;
  font-size: $cui-menu-item-font-size;
  line-height: $cui-menu-item-line-height;
  text-decoration: none;
  background-color: transparent;
  border: 0;
  text-align: left;
  outline: none;
  cursor: pointer;
  @include cui-break-word();
  transition: box-shadow $cui-focus-transition;

  &.cdk-program-focused,
  &.cdk-keyboard-focused {
    box-shadow: 0 0 0 2px $cui-focus-color;
  }

  &:not(.cui-menu-item-disabled):hover {
    background-color: $cui-menu-item-hover-color;
  }

  &.cui-menu-item-disabled {
    opacity: $cui-disabled-opacity;
    cursor: not-allowed;
  }

  .item-content {
    flex: 1 1 auto;
  }

  .cui-icon-prefix,
  .cui-icon-suffix {
    font-size: 1.25rem;
    color: $cui-default-icon-color;
  }

  .cui-icon-prefix {
    margin-right: .5rem;
  }

  .cui-icon-suffix {
    margin-left: .5rem;
  }

}
